﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using UFOBot.Database;

#nullable disable

namespace UFOBot.Migrations
{
    [DbContext(typeof(UFODbContext))]
    partial class UFODbContextModelSnapshot : ModelSnapshot
    {
        protected override void BuildModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasAnnotation("ProductVersion", "7.0.5")
                .HasAnnotation("Proxies:ChangeTracking", false)
                .HasAnnotation("Proxies:CheckEquality", false)
                .HasAnnotation("Proxies:LazyLoading", true);

            modelBuilder.Entity("UFOBot.Database.Models.Auction", b =>
                {
                    b.Property<string>("AuctionId")
                        .HasMaxLength(64)
                        .HasColumnType("TEXT");

                    b.Property<bool>("AuctionCancelled")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("BiddingEndTime")
                        .HasColumnType("TEXT");

                    b.Property<int>("ChannelAuctionIndex")
                        .HasColumnType("INTEGER");

                    b.Property<ulong>("ChannelId")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("CreationTime")
                        .HasColumnType("TEXT");

                    b.Property<string>("Description")
                        .HasMaxLength(1500)
                        .HasColumnType("TEXT");

                    b.Property<string>("PlanetNaturalId")
                        .HasColumnType("TEXT");

                    b.Property<string>("Summary")
                        .HasMaxLength(100)
                        .HasColumnType("TEXT");

                    b.Property<DateTime>("VerificationEndTime")
                        .HasColumnType("TEXT");

                    b.HasKey("AuctionId");

                    b.ToTable("Auctions");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordEditMessageModel", b =>
                {
                    b.Property<int>("DiscordEditMessageModelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<string>("Content")
                        .HasColumnType("TEXT");

                    b.Property<int>("DiscordMessageModelId")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("TimestampUtc")
                        .HasColumnType("TEXT");

                    b.HasKey("DiscordEditMessageModelId");

                    b.HasIndex("DiscordMessageModelId");

                    b.ToTable("DiscordEditMessageModel");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordMessageModel", b =>
                {
                    b.Property<int>("DiscordMessageModelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<ulong>("AuthorId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("AuthorUsername")
                        .HasColumnType("TEXT");

                    b.Property<string>("ChannelCategory")
                        .HasColumnType("TEXT");

                    b.Property<ulong>("ChannelId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("ChannelName")
                        .HasColumnType("TEXT");

                    b.Property<string>("Content")
                        .HasColumnType("TEXT");

                    b.Property<bool>("Deleted")
                        .HasColumnType("INTEGER");

                    b.Property<ulong>("DeletedByUserId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("DeletedByUsername")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("DeletedTimestampUtc")
                        .HasColumnType("TEXT");

                    b.Property<DateTime?>("EditedTimestampUtc")
                        .HasColumnType("TEXT");

                    b.Property<ulong>("MessageId")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("TimestampUtc")
                        .HasColumnType("TEXT");

                    b.HasKey("DiscordMessageModelId");

                    b.HasIndex("MessageId");

                    b.ToTable("DiscordMessageModels");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordUserModel", b =>
                {
                    b.Property<ulong>("DiscordId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("CompanyCode")
                        .HasColumnType("TEXT");

                    b.Property<string>("CorporationCode")
                        .HasColumnType("TEXT");

                    b.Property<string>("DiscordDiscriminator")
                        .HasColumnType("TEXT");

                    b.Property<string>("DiscordUsername")
                        .HasColumnType("TEXT");

                    b.Property<bool>("MatchesConvention")
                        .HasColumnType("INTEGER");

                    b.Property<DateTime>("NextMatchesConventionComplaint")
                        .HasColumnType("TEXT");

                    b.Property<bool>("Verified")
                        .HasColumnType("INTEGER");

                    b.HasKey("DiscordId");

                    b.HasIndex("CompanyCode");

                    b.HasIndex("CorporationCode");

                    b.ToTable("DiscordUsers");
                });

            modelBuilder.Entity("UFOBot.Database.Models.HashedBid", b =>
                {
                    b.Property<string>("HashedBidId")
                        .HasMaxLength(128)
                        .HasColumnType("TEXT");

                    b.Property<string>("AuctionId")
                        .HasMaxLength(64)
                        .HasColumnType("TEXT");

                    b.Property<ulong>("DiscordUserId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("InGameUserName")
                        .HasMaxLength(64)
                        .HasColumnType("TEXT");

                    b.Property<string>("SHA256Hash")
                        .HasColumnType("TEXT");

                    b.HasKey("HashedBidId");

                    b.HasIndex("AuctionId");

                    b.HasIndex("DiscordUserId");

                    b.HasIndex("InGameUserName");

                    b.ToTable("HashedBids");
                });

            modelBuilder.Entity("UFOBot.Database.Models.InGameUserToDiscordUserModel", b =>
                {
                    b.Property<int>("InGameUserToDiscordUserModelId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("INTEGER");

                    b.Property<ulong>("DiscordId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("DiscordUsername")
                        .HasColumnType("TEXT");

                    b.Property<string>("InGameUsername")
                        .HasColumnType("TEXT");

                    b.HasKey("InGameUserToDiscordUserModelId");

                    b.ToTable("InGameUserToDiscordUserModels");
                });

            modelBuilder.Entity("UFOBot.Database.Models.UnhashedBid", b =>
                {
                    b.Property<string>("UnhashedBidId")
                        .HasMaxLength(128)
                        .HasColumnType("TEXT");

                    b.Property<string>("AuctionId")
                        .HasMaxLength(64)
                        .HasColumnType("TEXT");

                    b.Property<ulong>("DiscordUserId")
                        .HasColumnType("INTEGER");

                    b.Property<string>("InGameUserName")
                        .HasMaxLength(64)
                        .HasColumnType("TEXT");

                    b.Property<string>("SHA256Hash")
                        .HasColumnType("TEXT");

                    b.Property<string>("UnhashedString")
                        .HasMaxLength(350)
                        .HasColumnType("TEXT");

                    b.HasKey("UnhashedBidId");

                    b.HasIndex("AuctionId");

                    b.HasIndex("DiscordUserId");

                    b.HasIndex("InGameUserName");

                    b.ToTable("UnhashedBids");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordEditMessageModel", b =>
                {
                    b.HasOne("UFOBot.Database.Models.DiscordMessageModel", "DiscordMessageModel")
                        .WithMany("Edits")
                        .HasForeignKey("DiscordMessageModelId")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("DiscordMessageModel");
                });

            modelBuilder.Entity("UFOBot.Database.Models.HashedBid", b =>
                {
                    b.HasOne("UFOBot.Database.Models.Auction", "Auction")
                        .WithMany("HashedBids")
                        .HasForeignKey("AuctionId");

                    b.Navigation("Auction");
                });

            modelBuilder.Entity("UFOBot.Database.Models.UnhashedBid", b =>
                {
                    b.HasOne("UFOBot.Database.Models.Auction", "Auction")
                        .WithMany("UnhashedBids")
                        .HasForeignKey("AuctionId");

                    b.Navigation("Auction");
                });

            modelBuilder.Entity("UFOBot.Database.Models.Auction", b =>
                {
                    b.Navigation("HashedBids");

                    b.Navigation("UnhashedBids");
                });

            modelBuilder.Entity("UFOBot.Database.Models.DiscordMessageModel", b =>
                {
                    b.Navigation("Edits");
                });
#pragma warning restore 612, 618
        }
    }
}
